This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 237926 - App icons can't be GIFs
App icons can't be GIFs
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: eclipse (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
desktop-bugs@redhat.com
:
Depends On: 237927
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-26 02:04 EDT by Ben Konrath
Modified: 2013-03-11 15:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-11 15:41:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Konrath 2007-04-26 02:04:06 EDT
+++ This bug was initially created as a clone of Bug #227524 +++

In the eclipse-platform package:

 /usr/share/icons/hicolor/32x32/apps/eclipse.png

Is a symlink to 

  ../../../../eclipse/plugins/org.eclipse.platform_3.2.1/eclipse32.gif

This *may* happen to work with the GNOME menus, but:

 A) It's not legitimate to give something a .png extension that is actually a gif
 B) The icon spec doesn't allow GIFs... icons must be PNG, XPM, or SVG
     (http://freedesktop.org/wiki/Standards/icon-theme-spec)

-- Additional comment from bkonrath@redhat.com on 2007-02-06 12:41 EST --
Thanks for pointing this out. I'm working on an update for fc6 this week and
I'll  include a fix for this. I'll also try to get them to use pngs upstream but
I suspect I won't get any traction.

-- Additional comment from bkonrath@redhat.com on 2007-02-21 16:52 EST --
This is fixed in the upcoming 3.2.2-1.fc6 update. Thanks.
Comment 1 Ben Konrath 2007-04-26 02:05:54 EDT
There are broken and incorrect symlinks in
/usr/share/icons/hicolor/16x16/apps/eclipse.png and
/usr/share/icons/hicolor/32x32/apps/eclipse.png.

Test For Fix: Ensure that these files are not dead symlinks and that they point
to PNGs rather than GIFs: /usr/share/icons/hicolor/16x16/apps/eclipse.png, 
/usr/share/icons/hicolor/32x32/apps/eclipse.png,
/usr/share/icons/hicolor/48x48/apps/eclipse.png
Comment 2 RHEL Product and Program Management 2007-12-03 15:42:17 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.
Comment 3 Alexander Kurtakov 2013-03-11 15:41:39 EDT
RHEL 5 has ended Production Phase 1 and thus only security bugfixes from this point on.

Note You need to log in before you can comment on or make changes to this bug.